package edu.umd.dawn.common.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import org.apache.logging.log4j.spi.StandardLevel;

/**
 * Traces entry and exit from functions at specified log level
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface Traceable {
    StandardLevel level() default StandardLevel.TRACE;
}
